# Gimp.Image.prototype.export_path_to_string

    function export_path_to_string(path: Gimp.Path): String {
        // Gjs wrapper for gimp_image_export_path_to_string()
    }

Save a path as an SVG string.

This procedure works like [method@Gimp.Image.export_path_to_file] but creates a string rather than a file. The string is NULL-terminated and holds a complete XML document. Pass null as the 'path' argument to export all paths in the image.

Since 2.6

path

  The path object to export, or null for all in the image.

Returns

  A string whose contents are a complete SVG document. The returned value must be freed with g_free().